{% extends 'admin/index.html.twig' %}

{% block body %}
    <h1>Articles
        <a href="{{path('admin_new_article')}}" class="btn">Nouveau</a>
    </h1>
    <div class="table-responsive">
        <table class="table">
            <thead>
                <th>ID</th>
                <th>Titre</th>
                <th>Corps</th>
                <th>Image mise en avant</th>
                <th>Categorie</th>
                <th>Actions</th>
            </thead>
            <tbody>
                {% for article in articles %}
                    <tr>
                        <th>{{article.id}}</th>
                        <td>{{article.title}}</td>
                        <td>
                            <a href="{{article.content}}">{{article.content|truncate(100)}}</a>
                        </td>
                        <td><img src="{{ vich_uploader_asset(article, 'thumbnail') }}" alt="" width="100px"></td>
                        <td>{{article.category.name}}</td>
                        <td>
                            <a href="{{path('admin_edit_article', {'id': article.id})}}" class="btn btn-secondary">Editer</a>
                            <a href="{{path('admin_delete_article', {'id': article.id})}}" class="btn btn-danger">Supprimer</a>
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
{% endblock %}